org.codehaus.plexus.logging

## Class AbstractLogEnabled

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled

All Implemented Interfaces:
  LogEnabled

Direct Known Subclasses:
  AbstractComponentComposer, DefaultComponentRepository, DefaultPlexusContainer

    public abstract class AbstractLogEnabled
    extends Object
    implements LogEnabled

Version:
  $Id: AbstractLogEnabled.java 1806 2005-05-16 12:11:32Z evenisse $
Author:
  Jason van Zyl, Trygve Laugstøl

### Constructor Summary

Constructors
Constructor and Description
`AbstractLogEnabled()`

### Method Summary

Methods
`void` `enableLogging(Logger logger)`
`protected Logger` `getLogger()`
`protected void` `setupLogger(Object component)`
`protected void` `setupLogger(Object component, Logger logger)`
`protected void` `setupLogger(Object component, String subCategory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractLogEnabled

    public AbstractLogEnabled()

### Method Detail

#### enableLogging

    public void enableLogging(Logger logger)

Specified by:
  `enableLogging` in interface `LogEnabled`

#### getLogger

    protected Logger getLogger()

#### setupLogger

    protected void setupLogger(Object component)

#### setupLogger

    protected void setupLogger(Object component,
                   String subCategory)

#### setupLogger

    protected void setupLogger(Object component,
                   Logger logger)